Bug 44839 - Add an "Eval" symbol" in Math sidebar's "Brackets" element
Summary: Add an "Eval" symbol" in Math sidebar's "Brackets" element
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: x86-64 (AMD64) All
: lowest enhancement
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-16 10:40 UTC by Francisco
Modified: 2016-11-09 14:42 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Word 2003 file with an "eval" function (19.50 KB, application/msword)
2012-01-16 10:40 UTC, Francisco
Details
As the 1º file, but with an example done in Writer 3.5.2. (the original file was build with MS Word) (20.50 KB, application/msword)
2012-05-08 06:40 UTC, Francisco
Details
image of the missing feature in hte GUI (17.40 KB, image/png)
2012-05-08 18:54 UTC, Francisco
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Francisco 2012-01-16 10:40:35 UTC
Created attachment 55649 [details]
Word 2003 file with an "eval" function

There's a missing operator in Math, which is the "eval" symbol. It looks like a solitary "absolute" bar at the left of a variable, as it's shown in the attached .DOC file (which I'm not able to midify in LibO 3.4.4 on Kubuntu Linux 11.10, 64 bits).
It *is* a very common operator in formulas, already present in the classical formula editor in word 2003, the formula editor of Office 2007 and I'm sure it's present in LaTex.
Comment 1 sasha.libreoffice 2012-05-08 04:56:17 UTC
Thanks for bugreport
Sorry, I can not find difference in attachment between msWord and Writer 3.3.4 and 3.5.3
Comment 2 Francisco 2012-05-08 06:39:10 UTC
(In reply to comment #1)
> Thanks for bugreport
> Sorry, I can not find difference in attachment between msWord and Writer 3.3.4
> and 3.5.3

Yes, when you open it, you could see it. It was resolved some time ago. Before that, Writer just crashed. 

But you will find the difference when you try to made that formula in Writer. It's impissible to do, because there isn't any "eval" symbol

"Eval" consist in a long vertical line at the right of an expression, in this case, the "derivative of y with respect to x" is "evaluated at x = 1.3" and it's "equal to to 5.5".

In Writer, theres only the possibility of writing both long vertical bars with the comand:

"lline <?> rline "

which indicates "absolute value", but no "evaluate at". The most similar thing is write in the formula

"|"  (WITH quotation. Whithout it, Writer recognizes another symbol, like a "v")

which draw a small vertical bar. 

I'm attaching another document
Comment 3 Francisco 2012-05-08 06:40:50 UTC
Created attachment 61228 [details]
As the 1º file, but with an example done in Writer 3.5.2. (the original file was build with MS Word)
Comment 4 Francisco 2012-05-08 18:39:28 UTC
I think I haven't made my self clear with this, and trying to explain my self better, I'va just discovered that LibO allows you to "evaluate" a function, but it's not shown in the "Elements" panel.

If you wants to "evaluate" a function, as in the files I've attached:

   left none {d y}over{d x} right rline _{x = 1.3}=5.5

or even draw a lonely parenthesis, you should just wright:

   left none "expresion" right )

but the problem now is, that this option isn't shown in the element panel, so nobody without experience in LibO would ever figured out of how make it.

(I discovered because I opened a .DOCX file created with Word 2007 and there was the magical word "none".)

So I have changed the title
Comment 5 Francisco 2012-05-08 18:52:36 UTC
... So I have changed the title to something more specific: 

there should be a button in the Element panel, I have uploaded an image of the idea.
Comment 6 Francisco 2012-05-08 18:54:27 UTC
Created attachment 61258 [details]
image of the missing feature in hte GUI
Comment 7 sasha.libreoffice 2012-05-10 02:47:15 UTC
Thanks for additional information
Comment 8 Francisco 2012-05-10 08:16:16 UTC
(In reply to comment #7)
> Thanks for additional information

You are wellcome.
Comment 9 Francisco 2015-06-19 01:05:39 UTC
I have changed the title, because the element panel will be deprecated. However, the option I'm suggesting to add is still missing.
Comment 10 Commit Notification 2016-11-09 13:06:14 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=287b35c43771d3258ed877607e29882b3730201b

tdf#44839 Add an "Evaluated At" command in "Brackets" section

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Francisco 2016-11-09 14:42:57 UTC
(In reply to Commit Notification from comment #10)
> Takeshi Abe committed a patch related to this issue.
> It has been pushed to "master":
> 
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=287b35c43771d3258ed877607e29882b3730201b
> 
> tdf#44839 Add an "Evaluated At" command in "Brackets" section
> 
> It will be available in 5.3.0.
> 
> The patch should be included in the daily builds available at
> http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
> information about daily builds can be found at:
> http://wiki.documentfoundation.org/Testing_Daily_Builds
> 
> Affected users are encouraged to test the fix and report feedback.

Thank you for your work, Takeshi.